// this function verifies disk space in kilobytes
function verifyDiskSpace(dirPath, spaceRequired)
{
  var spaceAvailable;

  // Get the available disk space on the given path
  spaceAvailable = fileGetDiskSpaceAvailable(dirPath);

  // Convert the available disk space into kilobytes
  spaceAvailable = parseInt(spaceAvailable / 1024);

  // do the verification
  if(spaceAvailable < spaceRequired)
  {
    logComment("Insufficient disk space: " + dirPath);
    logComment("  required : " + spaceRequired + " K");
    logComment("  available: " + spaceAvailable + " K");
    return(false);
  }

  return(true);
}


var srDest = 2350; // required kilobytes for files

var err = initInstall("Slovak spellchecker for Mozilla and Mozilla Thunderbird", "Slovak spellchecker", "0.5.5"); 
logComment("initInstall: " + err);

if (verifyDiskSpace(getFolder("Components"), srDest))
{
    var myspell = getFolder("Components", "myspell");

    addDirectory("Slovak spellchecker", "0.5.5", "dict", myspell, "");
    // registry name, version, xpisourcepath, localdirspec, relativeLocalPath

    if (err==SUCCESS)
        performInstall(); 
    else
        cancelInstall(err);
}
else
    cancelInstall(INSUFFICIENT_DISK_SPACE);
